      subroutine umset53(cm,mat)
#ifdef ACC
c
c     user material model for belytschko-tsay shell
c
c     Yongyi Zhu
c     Srdan Simunovic
c     Lockheed Martin Energy Systems, Inc.
c     P.O. Box 2008, MS-6140
c     phone: (423) 241-3863
c     FAX: (423) 574-4839
c     email: qs9@ornl.gov
c
c     DISCLAIMER: Your mileage may vary.
c
#ifdef DP
      implicit double precision (a-h,o-z)                                    dp
#endif
c      include 'umat.h'
      integer um_mn,um_mx,um_cm,um_hm
      parameter (um_mn=51,um_mx=55,um_cm=48,um_hm=20)
      integer
     $     umcmx,
     $     umhmx,
     $     nusrm,
     $     nnumc,
     $     nnumh,
     $     iumcs,
     $     iumbk,
     $     iumsh
      common/umcomm/
     $     umcmx,
     $     umhmx,
     $     nusrm,
     $     nnumc(um_mn:um_mx),
     $     nnumh(um_mn:um_mx),
     $     iumcs(um_mn:um_mx),
     $     iumbk(um_mn:um_mx),
     $     iumsh(um_mn:um_mx)
c

c     set layout of the cm field, where what should be

      common/bk22/prop(48)
      dimension cm(*)
c
      do i=1,20
         cm(i)=prop(i)
      enddo
c
c
c     cm(9)=K
c     cm(10)=G
c
      cm(iumbk(mat))=prop(1)/(1.0-2.0*prop(2))/3.0
      cm(iumsh(mat))=prop(1)/(1.0+prop(2))/2.0
c
#endif
      return
      end
